import { jsx } from "react/jsx-runtime";
import { TokenGT as TokenGT$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenGT = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "GT", "data-name": "TokenGT", ...props, children: /* @__PURE__ */ jsx(TokenGT$1, { variant }) });
  }
);
TokenGT.displayName = "TokenGT";
Object.assign(TokenGT, { isGdsIcon: true });
export {
  TokenGT
};
